//Generated by wsdl2apex

public class AsyncParkLocator {
  public class byCountryResponseFuture extends System.WebServiceCalloutFuture {
    public String[] getValue() {
      ParkLocator.byCountryResponse response = (ParkLocator.byCountryResponse) System.WebServiceCallout.endInvoke(
        this
      );
      return response.return_x;
    }
  }
  public class AsyncParksImplPort {
    public String endpoint_x = 'https://th-apex-soap-service.herokuapp.com/service/parks';
    public Map<String, String> inputHttpHeaders_x;
    public String clientCertName_x;
    public Integer timeout_x;
    private String[] ns_map_type_info = new List<String>{
      'http://parks.services/',
      'ParkLocator'
    };
    public AsyncParkLocator.byCountryResponseFuture beginByCountry(
      System.Continuation continuation,
      String arg0
    ) {
      ParkLocator.byCountry request_x = new ParkLocator.byCountry();
      request_x.arg0 = arg0;
      return (AsyncParkLocator.byCountryResponseFuture) System.WebServiceCallout.beginInvoke(
        this,
        request_x,
        AsyncParkLocator.byCountryResponseFuture.class,
        continuation,
        new List<String>{
          endpoint_x,
          '',
          'http://parks.services/',
          'byCountry',
          'http://parks.services/',
          'byCountryResponse',
          'ParkLocator.byCountryResponse'
        }
      );
    }
  }
}
